//##############################################################################
//	filename:		LCD12864.c
//			
// 	Implements the BTHQ128064AVD-... Communication
//
//##############################################################################
//
//  	Author:			
//  	Company:			HS Ulm
//
//		Revision:			x.x
//		Date:				Dez. 2007
//		Assembled using		MPLAB 8.00 C18 3.14
//
//		who?	01.12.2007 	start the project
//		who?	
//
//
//		todo	-
//				- 
//				- 
//				- 
//
//##############################################################################


/** I N C L U D E S ***********************************************************/
#include "p18f2620.h"
#include "delays.h"
#include "LCD12864.h"


#pragma udata access ACCESSRAM
/** G L O B A L  V A R I A B L E s ********************************************/

#pragma udata
/** P R I V A T E  V A R I A B L E S ******************************************/


/** G L O B A L  P R O T O T Y P E S ****************************************/
//void lcd_command(char cmd);
//void lcd_data(char dat);
//void lcd_init();

/** P R I V A T E  P R O T O T Y P E S ****************************************/



/** F U N C T I O N S *********************************************************/

////////////////////////////////////////////////////////////////////////////////
//                           lcd_command()                                    //
////////////////////////////////////////////////////////////////////////////////
void lcd_init(void)        				// intel 8080  	 
{      
	/* Initialisation LCD-Controller ST7565*/
       
    lcd_command(cmdRESET);             	// Reset
    lcd_command(disp_on);              	// Display 0n
	lcd_command(adc_0);	          		// ADC=0
    lcd_command(c_outputm);    	       	// Common Output Mode Select
	lcd_command(disp_normal);	        // Display normal
	lcd_command(all_dots_off);	      	// all dots off (normal)
	lcd_command(lcd_bias);    	 	   	// LCD BIAS   SED1565
	lcd_command(disp_linestart);        // Display Line Start adress 
	lcd_command(page_adress);           // Page adress
	lcd_command(c_adress_l);            // Column adress low
	lcd_command(c_adress_h);            // Column adress high
    lcd_command(power_circuits);        // power circuits 
    lcd_command(resistor_ratio);        // Resistor ratio
	lcd_command(e_volume);              // electronic volume
	lcd_command(e_volume_value);        // electronic volume value       
}
////////////////////////////////////////////////////////////////////////////////
//                           lcd_command()                                    //
////////////////////////////////////////////////////////////////////////////////
void lcd_command(char cmd)        // intel 8080  	 
{      
	DISP_DATA=cmd;
	R_S=0;          					// Register Select
	RD=1;           					// READ
	WR=0;           					// Write
	CS=0;            					// Chip Select
	Delay10TCYx( 1 );
	WR=1;           					// Write
	CS=1;
	Delay10TCYx( 10 );
}


////////////////////////////////////////////////////////////////////////////////
//                             lcd_data()                                     //
////////////////////////////////////////////////////////////////////////////////
void lcd_data(char dat)        			// intel 8080  	 
{     
	DISP_DATA=dat;
	R_S=1;          					// Register Select
	RD=1;           					// READ
	WR=0;           					// Write
	CS=0;            					// Chip Select
	Delay10TCYx( 1 );
	WR=1;           					// Write
	CS=1;
	Delay10TCYx( 10 );
}