//##############################################################################
//	filename:		LCD12864.h
//			
// 	Implements the BTHQ128064AVD-... Communication
//
//##############################################################################
//
//  	Author:			
//  	Company:			HS Ulm
//
//		Revision:			x.x
//		Date:				Dez. 2007
//		Assembled using		MPLAB 8.00 C18 3.14
//
//
//##############################################################################
/* Pin Defining */

#define RES			LATBbits.LATB2		// low active
#define CS			LATBbits.LATB1		// low active
#define R_S			LATBbits.LATB0		// cmd or data
#define WR			LATAbits.LATA7		// low active
#define RD			LATAbits.LATA6		// low active
#define DISP_DATA	PORTC



/* LCD Command Defining */
#define cmdRESET		0xE2
#define disp_on			0xAF
#define	adc_0			0xA0
#define	c_outputm		0xC0
#define	disp_normal		0xA6
#define	all_dots_off	0xA4	
#define	lcd_bias		0xA2
#define	disp_linestart	0x40
#define	page_adress		0xB0
#define	c_adress_l		0x00		
#define	c_adress_h		0x10
#define	power_circuits	0x2f
#define resistor_ratio	0x24
#define	e_volume		0x81
#define	e_volume_value	0x20


/** G L O B A L  V A R I A B L E s ********************************************/
//extern ...

/** G L O B A L  P R O T O T Y P E S ****************************************/
void lcd_command(char cmd);
void lcd_data(char dat);
void lcd_init(void);
